Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.capability
Enum TypeFeatureCapability

    java.lang.Object
      java.lang.Enum<TypeFeatureCapability>
          com.bea.content.capability.TypeFeatureCapability

All Implemented Interfaces
  IFeatureCapabilityType, Serializable, Comparable<TypeFeatureCapability>

    public enum TypeFeatureCapability

extends Enum<TypeFeatureCapability>
implements IFeatureCapabilityType

feature capabilities which are type-related

Enum Constant Summary
`TypeAbstract` Types support the abstract functionality (disallowing nodes to be created of that type.
`TypeCreate` Types can be created
`TypeInheritance` Types can inherit property definitions from parent types
`TypePropertyBinary` Types and nodes can be created with binary properties
`TypePropertyDefinitionMandatory` Types can have mandatory properties.
`TypePropertyDefinitionMultiValued` Types (and nodes) can have multi-valued properties.
`TypePropertyDefinitionPrimary` Types (and nodes) support a primary property
`TypePropertyDefinitionPropertyChoices` Types can have property definitions with property choices.
`TypePropertyDefinitionReadOnly` Types (and nodes) support a read-only property definition
`TypePropertyDefinitionRestricted` Types (and nodes) support a restricted set of choices for a property value.
`TypePropertyDefinitionSearchable` Types (and nodes) can enable keyword searching on a given property for a node.
`TypePropertyLink` Types and nodes can be created with link properties
`TypePropertyNested` Types and nodes can be created with nested properties
`TypeRemove` Types can be removed
`TypeRetrieval` Types can be removed
`TypeSearchable` Types can enable or disable keyword search indexing for all nodes of the type.
`TypeUpdate` Types can be updated

Method Summary
`static TypeFeatureCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeFeatureCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TypeCreate

    public static final TypeFeatureCapability TypeCreate

  Types can be created

### TypeInheritance

    public static final TypeFeatureCapability TypeInheritance

  Types can inherit property definitions from parent types

### TypePropertyBinary

    public static final TypeFeatureCapability TypePropertyBinary

  Types and nodes can be created with binary properties

### TypePropertyNested

    public static final TypeFeatureCapability TypePropertyNested

  Types and nodes can be created with nested properties

### TypePropertyLink

    public static final TypeFeatureCapability TypePropertyLink

  Types and nodes can be created with link properties

### TypeRemove

    public static final TypeFeatureCapability TypeRemove

  Types can be removed

### TypeUpdate

    public static final TypeFeatureCapability TypeUpdate

  Types can be updated

### TypeRetrieval

    public static final TypeFeatureCapability TypeRetrieval

  Types can be removed

### TypePropertyDefinitionMandatory

    public static final TypeFeatureCapability TypePropertyDefinitionMandatory

  Types can have mandatory properties.

### TypePropertyDefinitionPropertyChoices

    public static final TypeFeatureCapability TypePropertyDefinitionPropertyChoices

  Types can have property definitions with property choices.

### TypePropertyDefinitionMultiValued

    public static final TypeFeatureCapability TypePropertyDefinitionMultiValued

  Types (and nodes) can have multi-valued properties.

### TypePropertyDefinitionPrimary

    public static final TypeFeatureCapability TypePropertyDefinitionPrimary

  Types (and nodes) support a primary property

### TypePropertyDefinitionReadOnly

    public static final TypeFeatureCapability TypePropertyDefinitionReadOnly

  Types (and nodes) support a read-only property definition

### TypePropertyDefinitionRestricted

    public static final TypeFeatureCapability TypePropertyDefinitionRestricted

  Types (and nodes) support a restricted set of choices for a property value.

### TypePropertyDefinitionSearchable

    public static final TypeFeatureCapability TypePropertyDefinitionSearchable

  Types (and nodes) can enable keyword searching on a given property for a node.

### TypeAbstract

    public static final TypeFeatureCapability TypeAbstract

  Types support the abstract functionality (disallowing nodes to be created of that type.

### TypeSearchable

    public static final TypeFeatureCapability TypeSearchable

  Types can enable or disable keyword search indexing for all nodes of the type.

Method Detail

### values

    public static final TypeFeatureCapability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static TypeFeatureCapability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.